Skip to main content
PUT
/
api
/
apis
/
{apiID}
/
access
Update API access rights (users and userGroups)
curl --request PUT \
  --url https://{tenant}/api/apis/{apiID}/access \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userGroupIds": [
    "663a4ed6b6be920001b191aa",
    "663a4ed6b6be920001b191ab"
  ],
  "userIds": [
    "663a5bbf5715ec8040251f2a"
  ]
}
'
{
  "Message": "API access updated",
  "Meta": null,
  "Status": "OK"
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

apiID
string
required

The API ID

Body

application/json
userGroupIds
string[]
Example:
[
"663a4ed6b6be920001b191aa",
"663a4ed6b6be920001b191ab"
]
userIds
string[]
Example:
[
"663b2a835715ecb6edef24e3",
"663a5bbf5715ec8040251f2a"
]

Response

API access updated

ID
string
Message
string
Meta
any
Status
string